<?php require_once('Connections/cn.php'); ?>
<?php
// header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$Area= $_REQUEST["id"];

// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.
 
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Obtiene el ID del alumno (id_alumno)
$sql = "select id_alumno from alumnos where cedula='$Area'";

$rs=mysql_query($sql, $cn);
$row = mysql_fetch_assoc($rs);	
$reg=mysql_num_rows($rs);		
if ($reg != 0){
	$id_alumno=$row["id_alumno"];
}

$query_carreras = "Select
carreras.nombre_carrera,
carreras_alumno.id_carrera
From
carreras
Inner Join carreras_alumno ON carreras.id_carrera = carreras_alumno.id_carrera
Where
carreras_alumno.id_alumno = '$id_alumno'";

$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_carreras=0;
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
	
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
		
			$array_cod[$code] = $carrera["id_carrera"];		
			$array_carreras[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}		

// Bucle para cargar las carreras en el combo (carreras)
for ($i=0; $i<count($array_carreras);$i++){
	echo "<option value=".$array_cod[$i].">".$array_carreras[$i].' ('.$array_cod[$i].')'."</option>";
}

?>